h26526
s 00028/00000/00000
d D 1.1 82/08/03 08:49:41 cecily 1 0
e
u
U
t
T
I 1
wait	title	unix c svc library -- wait

.wait	equ	7

	entry	wait
r0	equ	0
r1	equ	1
r2	equ	2
rf	equ	15
sp	equ	7
*
	pure
wait	equ	*
	svc	0,.wait
	bc	error
	l	r2,0(sp)		return area for status
	bzr	rf
	st	r1,0(r2)
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
